---
type: api
title: Get an agent's effective config
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-agents-agentid-effective-config
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-agents-agentid-effective-config
products:
  - Kibana
---

# Get an agent's effective config

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/agents/{agentId}/effective_config`
- `GET` `/s/{space_id}/api/fleet/agents/{agentId}/effective_config`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `agentId` (string)
  The agent ID to get effective config of

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get an agent's effective config by ID.<br/><br/>[Required authorization] Route required privileges: fleet-agents-read.

## Responses

#### `200`

OK: A successful request.

`application/json`

- `effective_config` (object)
#### `400`

A bad request.

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/agents/{agentId}/effective_config
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/agents/{agentId}/effective_config"
```

## Response Examples

#### Success

```json
{
  "effective_config": {}
}
```

#### Bad request

```json
{
  "message": "Bad Request"
}
```

